ONEVM(1)

NAME
onevm

SYNOPSIS
onevm command [args] [options]

OPTIONS
 -m, --multiple x          Instance multiple VMs
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -k, --kilobytes           Show units in kilobytes
 -t, --type type           Type of the new Image
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create file

    Creates a new VM from the given template file. This command bypasses
    the Template pool, which is the preferred way to instantiate new VMs.
    See 'onetemplate create' and 'onetemplate instantiate'
    valid options: multiple, xml, numeric, kilobytes

•   delete range|vmid_list

    Deletes the given VM
    States: ANY

•   hold range|vmid_list

    Sets the given VM on hold. A VM on hold is not scheduled until it is
    released. It can be, however, deployed manually; see 'onevm deploy'
    States: PENDING

•   release range|vmid_list

    Releases a VM on hold. See 'onevm hold'
    States: HOLD

•   saveas vmid diskid img_name

    Sets the specified VM disk to be saved in a new Image. The Image is
    created inmediately, but the contents are saved only if the VM is
    shut down gracefuly (i.e., using 'onevm shutdown' and not
    'onevm delete')
    States: ANY
    valid options: type

•   shutdown range|vmid_list

    Shuts down the given VM.
    States: RUNNING

•   reboot range|vmid_list

    Reboots the given VM, this is equivalent to execute the reboot command
    from the VM console.
    States: RUNNING

•   deploy range|vmid_list hostid

    Deploys the given VM in the specified Host. This command forces the
    deployment, in a standard installation the Scheduler is in charge
    of this decision
    States: PENDING

•   livemigrate range|vmid_list hostid

    Migrates the given running VM to another Host without downtime
    States: RUNNING

•   migrate range|vmid_list hostid

    Saves the given running VM and starts it again in the specified Host
    States: RUNNING

•   restart range|vmid_list

    Forces a re-deployment of the given VM, issuing a boot action.
    States: UNKNOWN, BOOT

•   resubmit range|vmid_list

    Resubmits the VM to PENDING state. This is intented for VMs stuck in a
    transient state. To re-deploy a fresh copy of the same VM, create a
    Template and instantiante it, see 'onetemplate instantiate'
    States: ANY, except SUSPENDED or DONE

•   cancel range|vmid_list

    Cancels the given VM. The process is checked by OpenNebula, so
    if the process fails the VM remains in running state. If the action
    succeeds the VMDIR in the remote machine is not deleted
    States: RUNNING

•   stop range|vmid_list

    Stops a running VM. The VM state is saved and transferred back to the
    front-end along with the disk files
    States: RUNNING

•   suspend range|vmid_list

    Saves a running VM. It is the same as 'onevm stop', but the files
    are left in the remote machine to later restart the VM there
    (i.e. the resources are not freed and there is no need to
    re-schedule the VM).
    States: RUNNING

•   resume range|vmid_list

    Resumes the execution of the a saved VM
    States: STOPPED, SUSPENDED

•   chgrp range|vmid_list groupid

    Changes the VM group

•   chown range|vmid_list userid [groupid]

    Changes the VM owner and group

•   chmod range|vmid_list octet

    Changes the VM permissions

•   list [filterflag]

    Lists VMs in the pool
    valid options: list, delay, xml, numeric, kilobytes

•   show vmid

    Shows information for the given VM
    valid options: xml

•   top [filterflag]

    Lists Images continuously
    valid options: list, delay, xml, numeric, kilobytes

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   hostid

    OpenNebula HOST name or id

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

•   vmid

    OpenNebula VM name or id

•   vmid_list

    Comma-separated list of OpenNebula VM names or ids

•   filterflag

    a, all       all the known VMs
    m, mine      the VM belonging to the user in ONE_AUTH
    g, group     'mine' plus the VM belonging to the groups
                 the user is member of
    uid          VM of the user identified by this uid
    user         VM of the user identified by the username

LICENSE
OpenNebula 3.4.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0